Extended Security Updates for Azure Stack HCI Generation 1 VMs

Jim Gandy 121 Reputation points
2023-10-16T17:48:06.51+00:00

Does Microsoft support using the Extended Security Updates Azure Benefit for Azure Stack HCI on generation 1 virtual machines? Cause I have several gen1 VMs that are all failing with the following error:

 Add-AzStackHCIVMAttestation -VMName SRV -Force
	Unable to configure IMDS Service on VM. 'SRV' failed to add resources to 'SRV'.
	
	Cannot add device 'Synthetic Ethernet Port' while the virtual machine is running.
	
	'SRV' failed to add resources. (Virtual machine ID )
	
	'SRV' cannot add device 'Synthetic Ethernet Port' while the virtual machine is running. ()
Azure Stack HCI
Azure Stack HCI
A hyperconverged infrastructure operating system delivered as an Azure service that provides security, performance, and feature updates.
278 questions
0 comments No comments
{count} votes

Accepted answer
  1. Trent Helms - MSFT 2,381 Reputation points Microsoft Employee
    2023-10-16T23:53:21.82+00:00

    Hi,

    The error above indicates that the adapter cannot be added to the VM when it is in a running state. I confirmed within my lab that attempting to add an adapter to a running Gen1 VM using the Add-VMNetworkAdapter cmdlet fails with the same error.

    PS C:\> Add-VMNetworkAdapter -VMName Test -SwitchName "TestVSwitch" -Name Adapter1 
    
    Add-VMNetworkAdapter : 'Test' failed to add resources to 'Test'. Cannot add device 'Synthetic Ethernet Port' while the virtual machine is running. 'Test' failed to add resources. (Virtual machine ID XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX) 'Test' cannot add device 'Synthetic Ethernet Port' while the virtual machine is running. (Virtual machine ID 1E58DFC5-4F56-47FD-A6F5-7E8165EF0435) At line:1 char:1 + Add-VMNetworkAdapter -VMName Test -SwitchName "TestVSwitch" -Name Adapt ... + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~     + CategoryInfo          : InvalidOperation: (:) [Add-VMNetworkAdapter], VirtualizationException     + FullyQualifiedErrorId : NotSupported,Microsoft.HyperV.PowerShell.Commands.AddVMNetworkAdapter
    

    I was able to successfully add an adapter using the exact same method to a running Gen2 VM.

    Based on this result, please attempt to power off the VM and try re-enabling attestation.

    Hope this helps!

    0 comments No comments

2 additional answers

Sort by: Most helpful
  1. Jim Gandy 121 Reputation points
    2023-10-17T13:35:32.4633333+00:00

    Thank you for the responses. Added the Gen1 VM to Azure benefits was successful while the VM was shutdown.

    1 person found this answer helpful.
    0 comments No comments

  2. deherman-MSFT 34,026 Reputation points Microsoft Employee
    2023-10-16T20:55:06.4533333+00:00

    @Jim Gandy

    If you are running Azure Stack HCI, versions 22H2 or 21H2, it should be supported, I am not aware of a generation 1 limitation. See Free Extended Security Updates (ESU) through Azure Stack HCI. See here for more details on enabling the Azure Benefit.

    Please double check that you have followed the steps there. If you are still facing issues please let me know and we can work with you directly to further troubleshoot.


    If you still have questions, please let us know in the "comments" and we would be happy to help you. Comment is the fastest way of notifying the experts.

    If the answer has been helpful, we appreciate hearing from you and would love to help others who may have the same question. Accepting answers helps increase visibility of this question for other members of the Microsoft Q&A community.

    Thank you for helping to improve Microsoft Q&A!

    User's image

    0 comments No comments